/*-
|> File
|| printlib.h
||
|> Description
||
||
|> Comments
||
||
|> History
|| 95061 _mf Created.
||
||==================================================================|>
*/
#ifndef _dir_printlib_h
#define _dir_printlib_h

#ifndef _NOIDENT
#ident "$Id: printlib.h,v 2.1 1995/10/04 19:21:12 mreynold Exp $"
#endif

#include <X11/Xlib.h>
#include <X11/Xmd.h>

#define PRINTNAME "xprint"
#define PrintWindow -1

Bool                    XOpenPrintWindow (
                                           Display *dpy,
                                           Drawable drawable,
                                           char *printfile
);

Bool                    XClosePrintWindow (
                                            Display *dpy,
                                            Drawable drawable
);

Bool                    XSetPrintParams (
                                          Display *dpy,
                                          Bool preserveAspect,
                                          int fontScale,
                                          int pixmapScale,
                                          int pageWidth,  /* in points */
                                          int pageHeight,
                                          int printDirect,
                                          int landscape,
                                          char *correctFile,   /* color correct file */
					  char *prologFile     /* file prolog */
);

#endif

/*- end printlib.h
*/
